import { InputFocus } from './types';
import { ToggleKey, ModifierKey } from './config';
type InputCallback = (data: Buffer) => void;
export declare class InputRouter {
    private onToggle;
    private onChildInput;
    private onGameInput;
    private getFocus;
    private onScroll;
    private isMouseIntercepted;
    private toggleKey;
    private modifierKey;
    constructor(onToggle: () => void, onChildInput: InputCallback, onGameInput: (key: string) => void, getFocus: () => InputFocus, onScroll: (delta: number) => void, isMouseIntercepted: () => boolean, toggleKey?: ToggleKey, modifierKey?: ModifierKey);
    setToggleKey(key: ToggleKey): void;
    setModifierKey(key: ModifierKey): void;
    start(): void;
    stop(): void;
    private handleData;
    private consumeMouseEvent;
    private checkSingleKeyToggle;
    private forwardInput;
    private parseKey;
}
export {};
